<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:padding="15dp"
    android:layout_height="wrap_content">
<!--    名称-->
    <TextView
        android:layout_width="0dp"
        android:text="PTA1907"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        style="@style/ListTextStyle"
        app:layout_constraintEnd_toStartOf="@+id/id_available"
        android:id="@+id/id_goods_name"
        android:layout_height="wrap_content"/>
<!--    方向-->
    <TextView
        android:layout_width="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/id_goods_name"
        app:layout_constraintStart_toStartOf="parent"
        android:id="@+id/id_trans_direction"
        android:text="买"
        style="@style/ListSummaryTextStyle"
        android:layout_height="wrap_content"/>

<!--可用-->
    <TextView
        android:layout_width="0dp"
        android:id="@+id/id_available"
        android:text="40"
        android:gravity="end"
        style="@style/ListTextStyle"
        android:paddingEnd="20dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toEndOf="@+id/id_goods_name"
        app:layout_constraintEnd_toStartOf="@+id/id_open_average_price"
        android:layout_height="wrap_content"/>
<!--    持仓-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_hold_total"
        app:layout_constraintEnd_toEndOf="@+id/id_available"
        app:layout_constraintTop_toBottomOf="@+id/id_available"
        android:paddingEnd="20dp"
        android:text="50"
        style="@style/ListSummaryTextStyle"
        android:layout_height="wrap_content"/>

<!--    开仓均价-->
    <TextView
        android:layout_width="0dp"
        android:id="@+id/id_open_average_price"
        android:paddingEnd="20dp"
        style="@style/ListTextStyle"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toEndOf="@+id/id_available"
        app:layout_constraintEnd_toStartOf="@+id/id_zpl"
        android:text="5460"
        android:gravity="end"
        android:layout_height="wrap_content"/>
<!--持仓均价-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_hold_average_price"
        android:paddingEnd="20dp"
        style="@style/ListSummaryTextStyle"
        android:text="5400"
        app:layout_constraintEnd_toEndOf="@+id/id_open_average_price"
        app:layout_constraintTop_toBottomOf="@+id/id_open_average_price"
        android:layout_height="wrap_content"/>

<!--    盯市浮盈-->
    <TextView
        android:layout_width="0dp"
        app:layout_constraintTop_toTopOf="parent"
        android:id="@+id/id_zpl"
        android:text="100.00"
        android:gravity="end"
        android:paddingEnd="5dp"
        app:layout_constraintStart_toEndOf="@+id/id_open_average_price"
        app:layout_constraintEnd_toStartOf="@+id/id_pl"
        android:layout_height="wrap_content"/>
<!--盈亏比例-->
    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/id_plp"
        style="@style/ListSummaryTextStyle"
        android:text="5400"
        android:paddingEnd="5dp"
        app:layout_constraintEnd_toEndOf="@+id/id_zpl"
        app:layout_constraintTop_toBottomOf="@+id/id_zpl"
        android:layout_height="wrap_content"/>

<!--    逐笔浮盈-->
    <TextView
        android:layout_width="0dp"
        app:layout_constraintTop_toTopOf="parent"
        android:id="@+id/id_pl"
        android:text="100.00"
        android:gravity="end"
        app:layout_constraintStart_toEndOf="@+id/id_zpl"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_height="wrap_content"/>
<!--    保证金-->
    <TextView
        android:layout_width="wrap_content"
        android:gravity="end"
        android:id="@+id/id_margin"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_pl"
        android:text="10.3%"
        style="@style/ListSummaryTextStyle"
        android:layout_height="wrap_content"/>

</androidx.constraintlayout.widget.ConstraintLayout>